require 'helper'
require 'fileutils'

describe Fritz::Fritz do
  before do
    @target = File.join(File.dirname(__FILE__), "sandbox")
    FileUtils.mkdir( @target )
    @dirs = [
      "config",
      "log",
    ]
    @files = [
      "README",
      "config/hosts.yaml",
      "config/schedule.rb",
      "log/hosts.log"
    ]
    @schedule = File.join($templates , "schedule")
  end

  after do
    FileUtils.rm_rf @target
  end

  describe "setup" do
    it "has a templates folder with proper contents" do
      @dirs.each do |dir|
        Dir.exists?(File.join(@schedule, dir)).must_equal true
      end

      @files.each do |file|
        File.exists?(File.join( @schedule, file)).must_equal true
      end

      File.exists?(File.join(@schedule, "README")).must_equal true
    end

    it "copies the templates to target folder #{@target}" do
      args = [:setup, @target]
      runner(args)
      @dirs.each do |dir|
        Dir.exists?(File.join(@target, dir)).must_equal true
      end
      @files.each do |file|
        File.exists?(File.join(@target, file)) .must_equal(true)
      end
    end
  end

  def runner(args)
    Fritz::Fritz.start(args)
  end

end
